export default {
	fromLine: function(width, tile) {
		if (width <= 1) {
			return [ { x: 0, y: 0, tile: tile+"-lr" }];
		} else {
			return [
				{ x: 0, y: 0, tile: tile+"-l", },
				Array.from({ length: width - 2 }, (_, i) =>
					({ x: i + 1, y: 0, tile: tile })),
				{ x: width - 1, y: 0, tile: tile+"-r" },
			];
		}
	},
}
